## org.apache.solr.client.solrj.response
Class AnalysisResponseBase.AnalysisPhase

    java.lang.Object
      org.apache.solr.client.solrj.response.AnalysisResponseBase.AnalysisPhase

Enclosing class:
  AnalysisResponseBase

    public static class AnalysisResponseBase.AnalysisPhase

extends Object

A phase in the analysis process. The phase holds the tokens produced in this phase and the name of the class that produced them.

Method Summary
`String` `getClassName()` The name of the class (analyzer, tokenzier, or filter) that produced the token stream for this phase.
`List<AnalysisResponseBase.TokenInfo>` `getTokens()` Returns a list of tokens which represent the token stream produced in this phase.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getClassName

    public String getClassName()

  The name of the class (analyzer, tokenzier, or filter) that produced the token stream for this phase.

  Returns:
    The name of the class that produced the token stream for this phase.

### getTokens

    public List<AnalysisResponseBase.TokenInfo> getTokens()

  Returns a list of tokens which represent the token stream produced in this phase.

  Returns:
    A list of tokens which represent the token stream produced in this phase.

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.